export interface RegApp {
    name: string;
    activeRule: string;
    entry: string;
    container: string;
}
export interface RegComponent {
    name: string;
    entry: string;
}
export declare var __MPT_REG_APPS__: RegApp[];
export declare var __MPT_REG_COMPS__: RegComponent[];
export declare var __MPT_CONFIG__: {
    name: string;
    devServer?: Record<any, any>;
    webpackChain?: (config: any) => void;
    container?: string;
    basename?: string;
    [propName: string]: any;
};
export declare interface MicroComponentOptions {
    name: string;
    container: string;
    props?: Record<any, any>;
}
export declare const regApps: RegApp[];
export declare const regComponents: RegComponent[];
export declare const config: {
    [propName: string]: any;
    name: string;
    devServer?: Record<any, any> | undefined;
    webpackChain?: ((config: any) => void) | undefined;
    container?: string | undefined;
    basename?: string | undefined;
};
export declare const basename: string;
