import React from 'react';
import ReactDOM from 'react-dom';
import { startMicroApps, setDefaultApp, regApps } from 'mopocket';
import App from './App';

startMicroApps();
setDefaultApp(regApps[0].activeRule);

window.addEventListener('message', (ev) => {
  const data = ev.data;
  const { route } = data;
  if (route) {
    route.type === 'replace'
      ? window.history.replaceState(null, '', route.path)
      : window.history.pushState(null, '', route.path);
  }
});

ReactDOM.render(<App />, document.getElementById('master-root'));
