import { registerMicroApps, start, setDefaultMountApp, loadMicroApp } from 'qiankun';
import { regApps, regComponents } from './index';
export var startMicroApps = function (lifeCycles) {
    if (lifeCycles === void 0) { lifeCycles = {}; }
    registerMicroApps(regApps, lifeCycles);
    start();
};
export var loadMicroComponent = function (options) {
    var comp = regComponents.find(function (comp) { return comp.name === options.name; });
    if (!comp)
        throw new Error("\u627E\u4E0D\u5230name\u4E3A" + options.name + "\u7684\u5FAE\u7EC4\u4EF6\uFF01");
    return loadMicroApp({
        name: options.name,
        entry: comp.entry,
        container: options.container,
        props: options.props,
    });
};
export var setDefaultApp = setDefaultMountApp;
