export interface RegApp {
  name: string;
  activeRule: string;
  entry: string;
  container: string;
}

export interface RegComponent {
  name: string;
  entry: string;
}

export declare var __MPT_REG_APPS__: RegApp[];

export declare var __MPT_REG_COMPS__: RegComponent[];

export declare var __MPT_CONFIG__: {
  name: string;
  devServer?: Record<any, any>;
  webpackChain?: (config: any) => void;
  container?: string;
  basename?: string;
  [propName: string]: any;
};

export declare interface MicroComponentOptions {
  name: string;
  container: string;
  props?: Record<any, any>;
}

export const regApps = __MPT_REG_APPS__;

export const regComponents = __MPT_REG_COMPS__;

export const config = __MPT_CONFIG__;

export const basename = window.__POWERED_BY_QIANKUN__ ? `/app-${__MPT_CONFIG__.name}` : `/${__MPT_CONFIG__.name}`;
